#include "Score.h"
#include <iostream>
#include <sstream>

Score::Score(double x, double y, sf::Font const& font)
: value(0)
{
	texte.setStyle(sf::Text::Bold);
    texte.setFont(font);
    texte.setCharacterSize(50);
    texte.setPosition(x,y);
    texte.setString("0");
}
void Score::draw(sf::RenderTarget& target)
{
	target.draw(texte);
}
void Score::increment()
{
	std::stringstream oss;
	oss<<++value;
	texte.setString(oss.str());
}
